Mono.Posix 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object Provides information about a Unix process.

The class provides the means for inspecting and interacting with an operating system process.

No mechanism is currently provided to enumerate all processes on the system. This limitation exists for two reasons:

POSIX doesn't provide a mechanism to enumerate all processes, so such functionality wouldn't be portable. Common workarounds include the /proc filesystem, but not all operating systems provide that.
Many methods, such as , require that the target process be a child of the current process. Enumerating all processes on the system would return processes that are not children of the current process, and thus these methods would error.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 Gets the process' exit code. A containing the value the process exited with. returns .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.UnixProcess Gets information about the currently executing process. A instance providing information about the current process.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 Gets the operating system process ID of the current process. A containing the process ID of the current process.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean Determines whether the process has exited. if the process has exited; otherwise, .

  If the process has exited, contains the process' exit code.

  The calling process has no existing unwaited-for child processes. []

  -or-

  No status from the terminated child process is available because the calling process has asked the system to discard such status by ignoring the signal or setting the flag for that signal. []

  -or-

  The call was interrupted by a caught signal, or the signal did not have the flag set. []

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean Determines whether the process terminated due to an unhandled signal. if the process terminated due to an unhandled signal; otherwise, .

  The calling process has no existing unwaited-for child processes. []

  -or-

  No status from the terminated child process is available because the calling process has asked the system to discard such status by ignoring the signal or setting the flag for that signal. []

  -or-

  The call was interrupted by a caught signal, or the signal did not have the flag set. []

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean Determines whether the process is stopped. if the process has been stopped; otherwise, .

  The calling process has no existing unwaited-for child processes. []

  -or-

  No status from the terminated child process is available because the calling process has asked the system to discard such status by ignoring the signal or setting the flag for that signal. []

  -or-

  The call was interrupted by a caught signal, or the signal did not have the flag set. []

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 Get the operating system proces ID. A containing the operating system process ID.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void Send the signal to the process.

  The sending process is not the super-user and its effective user id does not match the effective user-id of the receiving process. When signaling a process group, this error is returned if any members of the group could not be signaled. []

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 Gets or sets the process group ID. A containing the process group that the process should belong to.

  Process groups are used for distribution of signals, and by terminals to arbitrate requests for their input: processes that have the same process group as the terminal are foreground and may read, while others will block with a signal if they attempt to read.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 Gets the session ID of the process. A containing the session ID of the process.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.Void `` A containing the signal to send to the process. Send the signal to the process.

  The sending process is not the super-user and its effective user id does not match the effective user-id of the receiving process. When signaling a process group, this error is returned if any members of the group could not be signaled. []

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.Signum Retrieves the signal which caused the process to stop. A containing the signal which caused the process to stop. returns .
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.Signum Retrieves the unhandled signal which terminated the process. A containing the signal which terminated the process. returns .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void Wait for the process to exit.

  Calling this method on the returned by will generate a [].

  The calling process has no existing unwaited-for child processes. []

  -or-

  No status from the terminated child process is available because the calling process has asked the system to discard such status by ignoring the signal or setting the flag for that signal. []

  -or-

  The call was interrupted by a caught signal, or the signal did not have the flag set. []